MONGOC_CLIENT_RESET(3)

NAME
mongoc_client_reset - mongoc_client_reset()

SYNOPSIS

void
mongoc_client_reset (mongoc_client_t *client);

Causes the client to clear its session pool without sending endSessions, and to close all its connections. Call this method in the child after forking.

This method increments an internal generation counter on the given client. After this method is called, cursors from previous generations will not issue a killCursors command when they are destroyed.

PARAMETERS

•   client: A mongoc_client_t.

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc